ESRILinkPolygonRecord (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.link.shape
Class ESRILinkPolygonRecord

    java.lang.Object
      com.bbn.openmap.dataAccess.shape.ShapeUtils
          com.bbn.openmap.layer.shape.ESRIRecord
              com.bbn.openmap.layer.shape.ESRIPolygonRecord
                  com.bbn.openmap.layer.link.shape.ESRILinkPolygonRecord

All Implemented Interfaces:
  ShapeConstants, ESRILinkRecord

    public class ESRILinkPolygonRecord

extends ESRIPolygonRecord
implements ESRILinkRecord

Field Summary

Fields inherited from class com.bbn.openmap.layer.shape.ESRIPolygonRecord
`bounds, polygons, shapeType`

Fields inherited from class com.bbn.openmap.layer.shape.ESRIRecord
`contentLength, recordNumber`

Fields inherited from interface com.bbn.openmap.dataAccess.shape.ShapeConstants
`DBF_ATTRIBUTE, DBF_AUTOINCREMENT, DBF_BINARY, DBF_CHARACTER, DBF_DATE, DBF_DOUBLE, DBF_FLOAT, DBF_LOGICAL, DBF_LONG, DBF_MEMO, DBF_NUMERIC, DBF_OLE, DBF_TIMESTAMP, DBF_TYPE_AUTOINCREMENT, DBF_TYPE_BINARY, DBF_TYPE_CHARACTER, DBF_TYPE_DATE, DBF_TYPE_DOUBLE, DBF_TYPE_FLOAT, DBF_TYPE_LOGICAL, DBF_TYPE_LONG, DBF_TYPE_MEMO, DBF_TYPE_NUMERIC, DBF_TYPE_OLE, DBF_TYPE_TIMESTAMP, PARAM_DBF, PARAM_SHP, PARAM_SHX, SHAPE_BOUNDS_ATTRIBUTE, SHAPE_DBF_DASHPATTERN, SHAPE_DBF_DASHPHASE, SHAPE_DBF_DESCRIPTION, SHAPE_DBF_FILLCOLOR, SHAPE_DBF_INFO_ATTRIBUTE, SHAPE_DBF_LINECOLOR, SHAPE_DBF_LINEWIDTH, SHAPE_DBF_SELECTCOLOR, SHAPE_FILE_HEADER_LENGTH, SHAPE_FILE_RECORD_HEADER_LENGTH, SHAPE_INDEX_ATTRIBUTE, SHAPE_MAX_MEASURE_ATTRIBUTE, SHAPE_MAX_Z_ATTRIBUTE, SHAPE_MEASURE_ATTRIBUTE, SHAPE_MIN_MEASURE_ATTRIBUTE, SHAPE_MIN_Z_ATTRIBUTE, SHAPE_TYPE_ARC, SHAPE_TYPE_MULTIPATCH, SHAPE_TYPE_MULTIPOINT, SHAPE_TYPE_MULTIPOINTM, SHAPE_TYPE_MULTIPOINTZ, SHAPE_TYPE_NULL, SHAPE_TYPE_POINT, SHAPE_TYPE_POINTM, SHAPE_TYPE_POINTZ, SHAPE_TYPE_POLYGON, SHAPE_TYPE_POLYGONM, SHAPE_TYPE_POLYGONZ, SHAPE_TYPE_POLYLINE, SHAPE_TYPE_POLYLINEM, SHAPE_TYPE_POLYLINEZ, SHAPE_Z_ATTRIBUTE`

Constructor Summary
`ESRILinkPolygonRecord()`
`ESRILinkPolygonRecord(byte[] b, int off)`

Method Summary
`void` | `writeLinkGraphics(LinkGraphicList lgl, LinkProperties properties)` Generates OMGraphics and adds them to the given list.

Methods inherited from class com.bbn.openmap.layer.shape.ESRIPolygonRecord
`add, addOMGeometry, addOMGraphics, getBoundingBox, getRecordLength, getShapeType, isPolygon, setPolygon, write`

Methods inherited from class com.bbn.openmap.layer.shape.ESRIRecord
`getBinaryStoreSize, getContentLength, getRecordNumber`

Methods inherited from class com.bbn.openmap.dataAccess.shape.ShapeUtils
`getStringForType, readBEInt, readBox, readLEDouble, readLEInt, readLEInt, readLELong, readPoint, writeBEInt, writeBox, writeLEDouble, writeLEInt, writeLELong, writePoint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ESRILinkPolygonRecord

    public ESRILinkPolygonRecord()

### ESRILinkPolygonRecord

    public ESRILinkPolygonRecord(byte[] b,
                                 int off)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### writeLinkGraphics

    public void writeLinkGraphics(LinkGraphicList lgl,
                                  LinkProperties properties)
                           throws java.io.IOException

  Generates OMGraphics and adds them to the given list.

  Copy the poly points array because the OMPoly converts from degrees to radians in place, trashing the shape.

  Specified by:
    `writeLinkGraphics` in interface `ESRILinkRecord`
  Parameters:
    `lgl` - the graphics response to write the graphic to.
    `properties` - the semantic description of how the graphic should be drawn.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details